<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="9" infoRejectCounter="0">
  <summary>
    <timer wall-clock="0.4s" wall="0.4" cpu="1.09051" calls="1"/>
    <!-- memory in MB-->
    <memory final="449.14" peak="451.15"/>
  </summary>
  <header id="">
    <environment started="2020-Jun-19 12:34:30" host="mo42"/>
    <progOpts problem="load_density_2d" parameterFile="/home/daniel/code/cfs_wien/Testsuite/TESTSUIT/Optimization/Homogenization/heat_conduction/load_density_2d/load_density_2d.xml" schemaPath="/home/daniel/code/cfs_wien/share/xml" meshFile="" logConfFile="" detailed="no">
      <cfs version="18.03" name="AMGme" build="Release" git_commit="75f1c59737348f10cc28f2e2e6ccbb3fd0f36bde" git_branch="fix-periodic-bcs" exe="cfswien.rel"/>
      <openmp CFS_NUM_THREADS="4" MKL_NUM_THREADS="4" OMP_NUM_THREADS="4"/>
    </progOpts>
    <domain nx="10" ny="10" nz="1">
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <grids>
        <grid gridId="default" dimensions="2" elements="100" nodes="121"/>
      </grids>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="121" elems="100" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="south" count="11"/>
        <nodes name="north" count="11"/>
        <nodes name="west" count="11"/>
        <nodes name="east" count="11"/>
        <nodes name="left_lower" count="1" coord="(0,0)"/>
        <nodes name="right_lower" count="1" coord="(1,0)"/>
        <nodes name="left_upper" count="1" coord="(0,1)"/>
        <nodes name="right_upper" count="1" coord="(1,1)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="10" ny="10" nz="1" step="0" t="0" t0="0"/>
    </domain>
    <update_results>
      <timer wall-clock="0s" wall="0" cpu="5e-06" calls="4"/>
    </update_results>
    <finish_step>
      <timer wall-clock="0.081s" wall="0.081" cpu="0.25452" calls="2"/>
    </finish_step>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static/>
    <PDE>
      <heatConduction>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="HeatConductivity" type="BDBInt" complex="no" BOp="GradientOperator" region="mech">
                <row pde="heatConduction" functionId="0" result="heatTemperature"/>
                <column pde="heatConduction" functionId="0" result="heatTemperature"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="yes"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms/>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="Heat_Conductivity_Tensor">
            <tensor dim1="3" dim2="3">
              <real>
                 1.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  1.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  1.000000e+00
              </real>
            </tensor>
          </property>
          <property name="Heat_Conductivity_Scalar" value="(1,0)"/>
          <property name="Heat_Capacity" value="1005"/>
          <property name="Density" value="1.1799999999999999"/>
        </material>
        <feSpaces>
          <heatTemperature>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </heatTemperature>
        </feSpaces>
        <summary>
          <writeResults>
            <timer wall-clock="0s" wall="0" cpu="4e-06" calls="2"/>
          </writeResults>
        </summary>
        <feFunctions>
          <heatTemperature/>
          <homDirichletBC/>
          <inhomDirichletBC/>
        </feFunctions>
      </heatConduction>
    </PDE>
    <OLAS>
      <heatConduction>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="100" totalNumFreeEqns="100" totalNumDirichlet="0">
            <function id="0" name="heatTemperature" numEqns="100" lastFreeEqn="100" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="100" lastFreeIndex="100"/>
          </sbmBlocks>
        </setup>
        <solver>
          <directLDL>
            <summary>
              <setup>
                <timer label="setup_directLDL" wall-clock="0s" wall="0" cpu="0.000126" calls="1"/>
              </setup>
              <solve>
                <timer label="solve_directLDL" wall-clock="0s" wall="0" cpu="6.5e-05" calls="2"/>
              </solve>
            </summary>
          </directLDL>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <setup>
                <timer wall-clock="0s" wall="0" cpu="1e-06" calls="1"/>
              </setup>
              <precond>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </heatConduction>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0s" wall="0" cpu="0.010822" calls="4"/>
        </assemble>
      </summary>
    </analysis>
    <header>
      <graph_setup>
        <timer wall-clock="0.01s" wall="0.01" cpu="0.026541" calls="1"/>
      </graph_setup>
    </header>
  </sequenceStep>
  <optimization haltopt_file="/home/daniel/code/cfs_wien/Testsuite/TESTSUIT/Optimization/Homogenization/heat_conduction/load_density_2d/HALTOPT">
    <header>
      <objective type="homTensor" name="homTensor" linear="no" filtered="yes" task="minimize"/>
      <multipleExcitations type="homogenizationTestStrains"/>
      <constraints/>
      <designSpace pamping="0" regular="yes">
        <gradient_chain_rule>
          <timer label="gradient_chain_rule" wall-clock="0s" wall="0" cpu="6e-06" calls="1" sub="true"/>
        </gradient_chain_rule>
        <filters use_mat_filt="yes"/>
        <ersatzMaterialFile file="load_density_2d.density.xml" source="problem file"/>
        <transferFunctions>
          <transferFunction type="identity" application="heat" design="density"/>
        </transferFunctions>
        <designVariables optimizationVariables="100" modelVariables="100" modelElements="100">
          <design type="density" upperBound="1" lowerBound="1e-09" physicalLowerBound="1e-09"/>
        </designVariables>
        <localElementCache org="1" shadow="0" mat_deriv="0" megabytes="0"/>
        <regions>
          <region name="mech" elements="100" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="heat" homogenization="yes"/>
      <excitations>
        <excitation index="0" meta_idx="0" label="x" weight="0" normalized_weight="0" load="mech"/>
        <excitation index="1" meta_idx="0" label="y" weight="1" normalized_weight="1" load="mech"/>
      </excitations>
      <evaluate/>
    </header>
    <commit mode="each_forward" stride="1"/>
    <optimizer>
      <summary>
        <evaluate>
          <timer wall-clock="0s" wall="0" cpu="5e-06" calls="1"/>
        </evaluate>
      </summary>
    </optimizer>
    <summary>
      <eval_objective>
        <timer wall-clock="0s" wall="0" cpu="0.000506" calls="1"/>
      </eval_objective>
      <eval_constraints>
        <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall-clock="0s" wall="0" cpu="1.1e-05" calls="1"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
      </eval_grad_constraints>
    </summary>
    <process>
      <iteration number="0" duration="0.314" homTensor="0.4000000006">
        <excitation index="0" objective="0" objective_weight="0"/>
        <excitation index="1" objective="0.4" objective_weight="1"/>
        <homogenizedTensor norm_L2="0.4" trace="0.4">
          <tensor dim1="2" dim2="2">
            <real>
               4.000000e-01  0.000000e+00
               0.000000e+00  1.666667e-09
            </real>
          </tensor>
        </homogenizedTensor>
      </iteration>
    </process>
  </optimization>
</cfsInfo>